GET /food/branded/search.php

chompthis.com

Summary: Get data for branded food items using various search parameters
Operation ID:
Auth: unknown
Description

## Search for branded food items using various parameters. **Example** > ```https://chompthis.com/api/v2/food/branded/search.php?api_key=API_KEY&brand=BRAND&country=COUNTRY&page=1``` **Tips** * Get started by using the **[Query Builder](https://chompthis.com/api/build.php)**. > This API endpoint is only available to Standard and Premium API subscribers. Please consider upgrading your subscription if you are subscribed to the Limited plan. **[Read this](https://desk.zoho.com/portal/chompthis/kb/articles/can-i-upgrade-downgrade-my-subscription)** if you aren't sure how to upgrade your subscription.

Parameters (14)

allergen (string, query, optional)

#### Filter the search to only include branded foods that contain a specific allergen. **Example** > ```&allergen=Peanuts``` **Important Note**: This parameter cannot be used alone. It must be paired with at least 1 additional parameter.

brand (string, query, optional)

#### Filter the search to only include branded foods that are owned by a specific brand. **Example** > ```&brand=Starbucks```

category (string, query, optional)

#### Filter the search to only include branded foods from a specific category. **Example** > ```&category=Plant Based Foods```

country (string, query, optional)

#### Filter the search to only include branded foods that are sold in a specific country. **Example** > ```&country=United States``` **Important Note**: This parameter cannot be used alone. It must be paired with at least 1 additional parameter.

diet (string, query, optional)

#### Filter the search to only include branded foods that are considered compatible with a specific diet. **Important Note**: This parameter cannot be used alone. It must be paired with at least 1 additional parameter.

Constraints: {'enum': ['Vegan', 'Vegetarian', 'Gluten Free']}

ingredient (string, query, optional)

#### Filter the search to only include branded foods that contain a specific ingredient. **Example** > ```&ingredient=Salt```

keyword (string, query, optional)

#### Filter the search to only include branded foods that are associated with a specific keyword. **Example** > ```&keyword=Organic``` **Important Note**: This parameter cannot be used alone. It must be paired with at least 1 additional parameter.

limit (integer, query, optional)

#### Set maximum number of records you want the API to return. The default value is "**10**." **Example** > ```&limit=10```

Constraints: {'enum': [1, 2, 3, 4, 5, 6, 7, 8, 9, 10]}

mineral (string, query, optional)

#### Filter the search to only include branded foods that contain a specific mineral. **Example** > ```&mineral=Potassium```

nutrient (string, query, optional)

#### Filter the search to only include branded foods that contain a specific nutrient. **Example** > ```&nutrient=Caffeine``` **Important Note**: This parameter cannot be used alone. It must be paired with at least 1 additional parameter.

page (integer, query, optional)

#### This is how you paginate the search result. By default, you will see the first 10 records. You must increment the page number to access the next 10 records, and so on. The default value is "**1**." **Example** > ```&page=1```

palm_oil (string, query, optional)

#### Filter the search to only include branded foods that contain a specific ingredient made using palm oil. **Example** > ```&palm_oil=E160a Beta Carotene```

trace (string, query, optional)

### Filter the search to only include branded foods that contain a specific trace ingredient. **Example** > ```&trace=Tree Nuts``` **Important Note**: This parameter cannot be used alone. It must be paired with at least 1 additional parameter.

vitamin (string, query, optional)

#### Filter the search to only include branded foods that contain a specific vitamin. **Example** > ```&vitamin=Biotin```

No probe data for this endpoint yet.